Debian Bug report logs - #636642
libimdb-film-perl: Don't need to Depends on libdigest-sha1-perl

version graph

Package: src:libimdb-film-perl; Maintainer for src:libimdb-film-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Thu, 4 Aug 2011 20:21:02 UTC

Severity: important

Found in version libimdb-film-perl/0.43-1

Fixed in version libimdb-film-perl/0.50-1

Done: Salvatore Bonaccorso <carnil@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=70531

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Bas Zoetekouw <bas@debian.org>:
Bug#636642; Package src:libimdb-film-perl. (Thu, 04 Aug 2011 20:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Bas Zoetekouw <bas@debian.org>. (Thu, 04 Aug 2011 20:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libimdb-film-perl: Don't need to Depends on libdigest-sha1-perl
Date: Thu, 04 Aug 2011 22:19:21 +0200
Source: libimdb-film-perl
Version: 0.43-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition

Hi Bas

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

As far I can see, libimdb-film-perl does not use Digest::SHA1 anywhere
in the sourcecode, but the package added the Depends in 0.19-1 (as
upstream). 

Could you for this drop the Depends on libdigest-sha1-perl?

Bests,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Bas Zoetekouw <bas@debian.org>:
Bug#636642; Package src:libimdb-film-perl. (Tue, 16 Aug 2011 18:54:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Bas Zoetekouw <bas@debian.org>. (Tue, 16 Aug 2011 18:54:21 GMT) Full text and rfc822 format available.

Message #10 received at 636642@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: control@bugs.debian.org
Cc: 625903@bugs.debian.org,625875@bugs.debian.org,625904@bugs.debian.org,636853@bugs.debian.org,636642@bugs.debian.org,636852@bugs.debian.org,636856@bugs.debian.org,630601@bugs.debian.org,636857@bugs.debian.org,625870@bugs.debian.org,624065@bugs.debian.org,629612@bugs.debian.org,debian-perl@lists.debian.org
Subject: Increase severity: libdigest-sha1-perl going to disappear
Date: Tue, 16 Aug 2011 20:51:15 +0200
# raising severity for remaining bugs to important
# libdigest-sha1-perl is going to disappear
# see: http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA
severity 625903 important
severity 625875 important
severity 625904 important
severity 636853 important
severity 636642 important
severity 636852 important
severity 636856 important
severity 630601 important
severity 636857 important
severity 625870 important
severity 624065 important
severity 629612 important
thanks

Hi!

We from the Debian Perl Group whant to remove libdigest-sha1-perl soon. See [1]
for details. We thus would like to increase the severity to the remaining
bugreports to important.

 [1] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Regards
Salvatore, Debian Perl Group




Severity set to 'important' from 'normal' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 18:54:33 GMT) Full text and rfc822 format available.

Added indication that bug 636642 blocks 594273 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 08:16:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bas Zoetekouw <bas@debian.org>:
Bug#636642; Package src:libimdb-film-perl. (Thu, 18 Aug 2011 21:33:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Bas Zoetekouw <bas@debian.org>. (Thu, 18 Aug 2011 21:33:49 GMT) Full text and rfc822 format available.

Message #19 received at 636642@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 625903@bugs.debian.org, control@bugs.debian.org, 625875@bugs.debian.org, 625904@bugs.debian.org, 636853@bugs.debian.org, 636642@bugs.debian.org, 636852@bugs.debian.org, 636856@bugs.debian.org, 630601@bugs.debian.org, 636857@bugs.debian.org, 625870@bugs.debian.org, 624065@bugs.debian.org, 629612@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Thu, 18 Aug 2011 17:30:38 -0400
Hi.
I'm planning on getting to this issue Sunday.
If someone wants to NMU before then they are welcome.




Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=70531'. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 27 Aug 2011 06:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bas Zoetekouw <bas@debian.org>:
Bug#636642; Package src:libimdb-film-perl. (Fri, 02 Sep 2011 18:33:03 GMT) Full text and rfc822 format available.

Message #24 received at 636642@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 636642@bugs.debian.org, 636642-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the libimdb-film-perl package
Date: Fri, 02 Sep 2011 18:31:03 +0000
tag 636642 + pending
thanks

Some bugs in the libimdb-film-perl package are closed in revision
e66ec22dda5d369a6fd771d0b8145a897302b3d8 in branch 'master' by
Salvatore Bonaccorso

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libimdb-film-perl.git;a=commitdiff;h=e66ec22

Commit message:

    Remove (Build-)Depends(-Indep) on libdigest-sha1-perl
    
    Closes: #636642





Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 02 Sep 2011 18:33:05 GMT) Full text and rfc822 format available.

Message sent on to Salvatore Bonaccorso <carnil@debian.org>:
Bug#636642. (Fri, 02 Sep 2011 18:33:10 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <carnil@debian.org>:
You have taken responsibility. (Fri, 02 Sep 2011 19:51:06 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Fri, 02 Sep 2011 19:51:06 GMT) Full text and rfc822 format available.

Message #34 received at 636642-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 636642-close@bugs.debian.org
Subject: Bug#636642: fixed in libimdb-film-perl 0.50-1
Date: Fri, 02 Sep 2011 19:48:36 +0000
Source: libimdb-film-perl
Source-Version: 0.50-1

We believe that the bug you reported is fixed in the latest version of
libimdb-film-perl, which is due to be installed in the Debian FTP archive:

libimdb-film-perl_0.50-1.debian.tar.gz
  to main/libi/libimdb-film-perl/libimdb-film-perl_0.50-1.debian.tar.gz
libimdb-film-perl_0.50-1.dsc
  to main/libi/libimdb-film-perl/libimdb-film-perl_0.50-1.dsc
libimdb-film-perl_0.50-1_all.deb
  to main/libi/libimdb-film-perl/libimdb-film-perl_0.50-1_all.deb
libimdb-film-perl_0.50.orig.tar.gz
  to main/libi/libimdb-film-perl/libimdb-film-perl_0.50.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636642@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <carnil@debian.org> (supplier of updated libimdb-film-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 02 Sep 2011 21:41:21 +0200
Source: libimdb-film-perl
Binary: libimdb-film-perl
Architecture: source all
Version: 0.50-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <carnil@debian.org>
Description: 
 libimdb-film-perl - Perl extension for retrieving movie info from IMDB.com
Closes: 609456 636642
Changes: 
 libimdb-film-perl (0.50-1) unstable; urgency=low
 .
   * Imported Upstream version 0.50 (Closes: #609456).
   * Take over for the Debian Perl Group on maintainer's request
     (http://lists.debian.org/debian-perl/2011/08/msg00107.html)
   * debian/control:
     - Added: Vcs-Git field (source stanza); Vcs-Browser field (source
       stanza). Changed: Maintainer set to Debian Perl Group
       <pkg-perl-maintainers@lists.alioth.debian.org> (was: Bas Zoetekouw
       <bas@debian.org>); Bas Zoetekouw <bas@debian.org> removed. Add
       myself to Uploaders.
     - Bump versioned Build-Depends on debhelper to (>= 8)
     - Reorder packages in Build-Depends, Build-Depends-Indep and
       Depends. Add missing packages in Build-Depends-Indep.
     - Remove versioned Build-Depends on perl (>= 5.8.0-7).
     - Remove Build-Depends on libtext-unidecode-perl
     - Update Homepage field to match dist based search.cpan.org URL.
     - Replace versioned (Build-)Depends(-Indep) on libhtml-parser-perl
       with unversioned dependency as the version is already satisfied
       in oldstable.
     - Replace versioned (Build-)Depends(-Indep) on libwww-perl with
       unversioned dependency as the version is already satisfied in
       oldstable.
     - Remove (Build-)Depends(-Indep) on libdigest-sha1-perl
       (Closes: #636642)
   * debian/rules: delete /usr/lib/perl5 only if it exists.
   * Update debian/copyright to revision 135 of DEP5 Format-Specification for
     machine readable copyright file.
   * debian/watch: Use dist based search.cpan.org URL
   * Bump Debhelper compat level to 8.
   * debian/rules: Use a tiny debian/rules makefile.
   * Bump Standards-Version to 3.9.2.
   * debian/patches: Add fix-spelling-error-in-manpage.patch patch to fix some
     spelling errors in manpage.
Checksums-Sha1: 
 baa4376519ed3078165c8a20723c6347cc925810 2089 libimdb-film-perl_0.50-1.dsc
 bbe3239a1c4b6b18085505f4def21928f4b97641 86331 libimdb-film-perl_0.50.orig.tar.gz
 60bfb621981918a0898f38ede465ca0824a6fb74 4399 libimdb-film-perl_0.50-1.debian.tar.gz
 400fa6f5ff010219c0e09f5456b1b41d509d1189 39042 libimdb-film-perl_0.50-1_all.deb
Checksums-Sha256: 
 56afda346210d3e63c10d29d40b3f91d4a6682863f65126ca2060202cf3f0328 2089 libimdb-film-perl_0.50-1.dsc
 a6317f1b96497f586d68628b4f7bfc3cd1f3b073fbe1fa9b115624d20275dba6 86331 libimdb-film-perl_0.50.orig.tar.gz
 439aeb95c1b2c11e97838eb23eadd2f79c977cb815e2c295cfbd76ca9be97067 4399 libimdb-film-perl_0.50-1.debian.tar.gz
 4e490b7ab1c2401958573c7e3b01827291799671206c6c22a90bc6be4ce1f1d6 39042 libimdb-film-perl_0.50-1_all.deb
Files: 
 3c027c76f4be3581d2ef6d17d9b98840 2089 perl optional libimdb-film-perl_0.50-1.dsc
 cf692158724099052427d5936017d009 86331 perl optional libimdb-film-perl_0.50.orig.tar.gz
 e90d5512ff5763e50854ce1d8e4cc464 4399 perl optional libimdb-film-perl_0.50-1.debian.tar.gz
 1b28cc15abc9f3989cdcdc1727d015b3 39042 perl optional libimdb-film-perl_0.50-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOYTGjAAoJEHidbwV/2GP+N3sP/0FJFCchpRJOtu7R8SfCAB6K
HWyfMzI6WEor0GQW9IFdW6ix0H5PT9K4vu29MuRksKWdz8gqLd21E6aSxdPRjjtL
vAEXCnYATV8xETq96TVrzlVDyFCTkkhmTlIJ04g7p3X7ic74kivCHfho4SWYzpt6
/VL08mim1P2xcrjIb8v6m0lyLH5zTC9DCqmMII2JgFkVZAx1eXvcYBi45E6/PcwU
frwPqigWqAEY16wovsCvoWK1fdOlBhugCNa36CNztZtoQWQY8IF2VPvHwgYZgHoS
zAdc66k1KU6vySBKSmDCPWtKxGSn73JTgJo3Vb24uJE07BEASnHHjNdEfYTzcG07
KlqBCwEJMyNVaORd7vtSSoGKDTXvhajgc+e841lEm1tDALvRCwh6LVJvGNYncwBd
2GG/o27n7LBeKBlevkgZKwfb4TCAGVvdDPx3sDPF8QZAxf9Zg1dwqcZGWQqzFdiC
C+7tu1DAEdr+kyrPnw0fHeW+kPbxfcLTn0ipGapE0C2NIQlNarFdCkfK4AY5Y7KP
2EoH/ozn5De5vVTQyPF5INbpy936GpjognjnaxnJHiVeeGEVAR34ZS6hMU4lNCqB
6XFmMUV1Lsbk4ZUtVUBRkIJOUPiRMKDJYFJaeE+QdWAWM4O25fsZLbf62yX0knic
HaC3HRMBWaL6klGm6oyC
=f8AZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Oct 2011 07:36:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:34:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.